### Virtual Method

# Gtk CellArea focus

#### Declaration [src]

    gboolean
    focus (
      GtkCellArea* area,
      GtkDirectionType direction
    )

#### Description [src]

This should be called by the `area`’s owning layout widget when focus is to be passed to `area`, or moved within `area` for a given `direction` and row data.

Implementing `GtkCellArea` classes should implement this method to receive and navigate focus in its own way particular to how it lays out cells.

#### Parameters

`direction` | `GtkDirectionType`
| The `GtkDirectionType`.

#### Return value

Returns: | `gboolean`
| `TRUE` if focus remains inside `area` as a result of this call.